TRANSLIT(1)

NAME
translit - transliterate text between various writing systems

SYNOPSIS
translit -t name -r -i file -o file -l -v -h

DESCRIPTION
translit transliterates UTF-8 encoded natural language text from one writing system to another.

It utilizes the Perl module Lingua::Translit to accomplish this task and follows the provided transliteration standards as strict as possible.

translit regards the following commandline switches:

--trans, -t name
    Use the transliteration standard named name.

--reverse, -r
    Transliterate in reverse direction.

    NOTE: Not every transliteration is capable of being reversed. If unsure, have a look at the list of supported transliterations using the --list switch.

--infile, -i FILE
    Read text from FILE. Defaults to STDIN.

--outfile, -o FILE
    Write the transliterated text to FILE. Defaults to STDOUT.

--list, -l
    Print a list of supported transliterations showing their

    •   name

    •   reversibility

    •   description

--verbose, -v
    Print verbose status messages to STDERR.

--help, -h
    Show a short help text introducing command line switches only.

RESTRICTIONS
The input has to be UTF-8 encoded.

BUGS
None known.

Please report bugs using CPAN's request tracker at <https://rt.cpan.org/Public/Dist/Display.html?Name=Lingua-Translit>.

SEE ALSO
Lingua::Translit, Lingua::Translit::Tables

AUTHORS
Alex Linke <alinke@netzum-sorglos.de>

Rona Linke <rlinke@netzum-sorglos.de>

LICENSE AND COPYRIGHT
Copyright (C) 2007-2008 Alex Linke and Rona Linke

Copyright (C) 2009-2016 Lingua-Systems Software GmbH

Copyright (C) 2016-2017 Netzum Sorglos, Lingua-Systems Software GmbH

Copyright (C) 2017-2022 Netzum Sorglos Software GmbH

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.